//
// Created by Ht on 2022/9/6.
//

#ifndef INC_1_LIBDEVCPP_QGAUDGAOIMPL_H
#define INC_1_LIBDEVCPP_QGAUDGAOIMPL_H


#include "../../../src/QGADataPool.h"

namespace jedge {

    static auto debugMode(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto encryptMode(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto publishResponse2app(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto setServerOption(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto getServerOption(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto isBelong2Family(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto getPanelClientParameter(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

    static auto getSnDeviceList(QGAChannelHolder& pool, qlibc::QData *req, qlibc::QData *resp)->bool {
        QDCmtR("Unhandled : \n%s", req->toJSONString(true).c_str());
        return true;
    }

}

#endif //INC_1_LIBDEVCPP_QGAUDGAOIMPL_H
